#
# spec file for package intel-metee
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           igsc
VCS: https://src.suse.de/SLFO-pool/igsc#4137df75b1ebdce5be42dd6b9fa396f6283fa14fa467bb751e38e8b59e31e3ce
Version:        0.9.5
Release:        160000.1.2
Summary:        Intel Graphics System Controller Firmware Update Utility
License:        Apache-2.0
URL:            https://github.com/intel/igsc
Source:         https://github.com/intel/igsc/archive/refs/tags/V%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         0001-Use-CMAKE_INSTALL_LIBDIR-when-installing-cmake-files.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  intel-metee-devel 
BuildRequires:  systemd-devel

%description
Intel Graphics System Controller (igsc) Firmware Update Utility and
library.

%package devel
Summary:        Headers and cmake files for the igsc library

%description devel
Headers and cmake files for the igsc library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%ldconfig_scriptlets

%files
%{_bindir}/igsc
%{_libdir}/libigsc.so.0*

%files devel
%{_includedir}/igsc_lib.h
%{_libdir}/cmake/igsc/
%{_libdir}/libigsc.so

%changelog
* Mon Mar 17 2025 patrik.jakobsson@suse.com
- Rename the tarball to %%{name}-%%{version}.tar.gz
* Fri Mar 14 2025 patrik.jakobsson@suse.com
- 0001-Use-CMAKE_INSTALL_LIBDIR-when-installing-cmake-files.patch
  * Make cmake files to be installed in correct libdir
* Fri Mar 14 2025 patrik.jakobsson@suse.com
- Initial creation of the package at version v0.9.5
